@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    background-color: #cccccc;
    font-family: "Roboto", sans-serif;
    font-weight: 300;
    font-style: normal;
}

.container {
    max-width: 900px;
    margin: 0 auto;
}

.apply-box {
    max-width: 600px;
    padding: 20px;
    background-color: white;
    margin: 0 auto;
    margin-top: 50px;
    box-shadow: 4px 3px 5px rgba(1, 1, 1, 0.1);
    border-radius: 10px;
}

.title_small {
    font-size: 20px;
}

label {
    font-size: 15px;
    margin-bottom: 5px;
}

input {
    padding: 6px 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
    font-size: 15px;
}

.form_control {
    display: flex;
    flex-direction: column;
}

.form_container {
    margin-top: 20px;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    gap: 20px;
}

select {
    padding: 6px 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
    font-size: 15px;
}

.textarea_control {
    grid-column: 1 / span 2;
}

.textarea_control textarea {
    width: 100%;
}

textarea {
    padding: 6px 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
    font-size: 15px;
}

button {
    background-color: red;
    border: transparent solid 2px;
    padding: 5px 10px;
    color: white;
    border-radius: 8px;
    transition: 0.3s ease-in;
}

button:hover {
    background-color: #ccc;
    border: 2px solid red;
    color: black;
    transition: 0.3s ease-out;
    cursor: pointer;
}

.button_container {
    display: flex;
    justify-content: flex-end;
    margin-top: 20px;
}

/* media query  */

@media only screen and (max-width: 768px) {
    .apply-box {
        margin: 70px;
    }
}

@media only screen and (max-width: 600px) {
    .textarea_control {
        grid-column: 1 / span 1;
    }
}